Patchwork [v2,2/2] Add FAQ entry how to properly add package from github.

login
register
mail settings
Submitter Marek Belisko
Date Sept. 20, 2012, 8:48 p.m.
Message ID <1348174101-13388-2-git-send-email-marek.belisko@open-nandra.com>
Download mbox | patch
Permalink /patch/185505/
State Accepted
Commit a84840bfe9c8e00be6dbbed1d8c55a2a54cb13e5
Headers show

Comments

Marek Belisko - Sept. 20, 2012, 8:48 p.m.
Signed-off-by: Marek Belisko <marek.belisko@open-nandra.com>
---
 docs/manual/faq.txt |   21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
Samuel Martin - Sept. 20, 2012, 10:22 p.m.
Hi Marek, all,

2012/9/20 Marek Belisko <marek.belisko@open-nandra.com>:
> Signed-off-by: Marek Belisko <marek.belisko@open-nandra.com>
> ---
>  docs/manual/faq.txt |   21 +++++++++++++++++++++
>  1 file changed, 21 insertions(+)
>
> diff --git a/docs/manual/faq.txt b/docs/manual/faq.txt
> index 575d019..97a754b 100644
> --- a/docs/manual/faq.txt
> +++ b/docs/manual/faq.txt
> @@ -36,3 +36,24 @@ then probably you are running a Fedora (or similar) distribution, and
>  you should install the +glibc-static+ package. This is because the
>  +module-init-tools+ build process wants to link statically against the
>  C library.
> +
> +How to add package from github
> +------------------------------
> +
> +If the package has no release version, or its version cannot be
> +identified using tag, then the sha1 of the particular commit should be
> +used to identify the version (the first 7 characters of the sha1 are
> +enough):
> +
> +------------------------
> +FOO_VERSION = 1234567
> +FOO_SITE = http://github.com/<user>/<package>/tarball/<branch>
> +------------------------

Note that <package> must match the name of the package in Buildroot.
Otherwise, FOO_SOURCE should be set.

> +
> +If the package version matches a tag, then this tag should be used to
> +identify the version:
> +
> +------------------------
> +FOO_VERSION = v1.0
> +FOO_SITE = http://github.com/<user>/<package>/tarball/$(FOO_VERSION)
> +------------------------
> --
> 1.7.9.5
>

Regards,

Patch

diff --git a/docs/manual/faq.txt b/docs/manual/faq.txt
index 575d019..97a754b 100644
--- a/docs/manual/faq.txt
+++ b/docs/manual/faq.txt
@@ -36,3 +36,24 @@  then probably you are running a Fedora (or similar) distribution, and
 you should install the +glibc-static+ package. This is because the
 +module-init-tools+ build process wants to link statically against the
 C library.
+
+How to add package from github
+------------------------------
+
+If the package has no release version, or its version cannot be
+identified using tag, then the sha1 of the particular commit should be
+used to identify the version (the first 7 characters of the sha1 are
+enough):
+
+------------------------
+FOO_VERSION = 1234567
+FOO_SITE = http://github.com/<user>/<package>/tarball/<branch>
+------------------------
+
+If the package version matches a tag, then this tag should be used to
+identify the version:
+
+------------------------
+FOO_VERSION = v1.0
+FOO_SITE = http://github.com/<user>/<package>/tarball/$(FOO_VERSION)
+------------------------